org.vertx.java.core.http.impl

## Class MimeMapping

- java.lang.Object
- - org.vertx.java.core.http.impl.MimeMapping

    public class MimeMapping
    extends java.lang.Object

We do our own mapping since support for mime mapping in Java is platform dependent and doesn't seem to work very well

### Constructor Summary

Constructors
Constructor and Description
`MimeMapping()`

### Method Summary

Methods
`static java.lang.String` `getMimeTypeForExtension(java.lang.String ext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MimeMapping

    public MimeMapping()

### Method Detail

#### getMimeTypeForExtension

    public static java.lang.String getMimeTypeForExtension(java.lang.String ext)